#
# cbCC_f1f3.com
# Creates a (C/HN) projection and transforms it for phasing

echo '**************************************************'
echo `date`
echo 'Extracts (H/H) projection'
echo ''

xyz2pipe -in fid/test%02d%03d.fid -a -ri2c -first 1 -last 2\
| nmrPipe -fn TP -hyper                                 \
| pipe2xyz -out hh%02%03d.fid -x -ov

echo 'Extraction done.'
echo `date`
echo ''
echo '**************************************************'
echo 'Starting FT of hc plane for phasing'
echo ''

nmrPipe    -in hh%03d.fid   				\
| nmrPipe  -fn POLY -time    				\
| nmrPipe  -fn SP -off 0.35 -end 0.95 -pow 1 -c 0.5   	\
| nmrPipe  -fn ZF -auto      				\
| nmrPipe  -fn FT        				\
| nmrPipe  -fn EXT -left -sw				\
| nmrPipe  -fn PS -p0 116.0 -p1 0.0  -di     		\
#| nmrPipe  -fn PS -p0 0.6 -p1 -79  -di     		\
| nmrPipe  -fn TP       				\
| nmrPipe  -fn LP -f                                   \
| nmrPipe  -fn SP -off 0.35 -end 1.0 -pow 1 -c 0.5    	\
| nmrPipe  -fn ZF 	 				\
| nmrPipe  -fn FT 					\
| nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di   		\
| nmrPipe  -fn CS -ls 46 pts -sw			\
#| nmrPipe -fn REV					\
| nmrPipe  -fn TP  					\
#| nmrPipe  -fn EXT -left -sw				\
| nmrPipe  -fn POLY -auto 				\
   -out hhN.ft2 -verb 2 -ov

echo '(H/H) plane saved as ./hh.ft2'
echo 'Done deal.'
echo `date`
echo '**************************************************'
echo ''

